Extending Qt Creator Manual | DisplaySettingsPage

Extending Qt Creator Manual 4.5.2

# DisplaySettingsPage Class

(TextEditor::DisplaySettingsPage)

Inherits: | TextEditor::TextEditorOptionsPage

- List of all members, including inherited members

## Public Functions

| DisplaySettingsPage(const DisplaySettingsPageParameters &p, QObject *parent)
| ~DisplaySettingsPage()
const DisplaySettings & | displaySettings() const
const MarginSettings & | marginSettings() const

## Reimplemented Public Functions

virtual void | apply()
virtual void | finish()
virtual QWidget * | widget()

- 9 public functions inherited from Core::IOptionsPage

## Signals

void | displaySettingsChanged(const TextEditor::DisplaySettings &)
void | marginSettingsChanged(const TextEditor::MarginSettings &)

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Member Function Documentation

### DisplaySettingsPage::DisplaySettingsPage(const DisplaySettingsPageParameters &p, QObject *parent)

Copy constructor.

### DisplaySettingsPage::~DisplaySettingsPage()

Destroys the instance of DisplaySettingsPage.

### `[virtual]` void DisplaySettingsPage::apply()

### const DisplaySettings &DisplaySettingsPage::displaySettings() const

### `[signal]` void DisplaySettingsPage::displaySettingsChanged(const TextEditor::DisplaySettings &)

### `[virtual]` void DisplaySettingsPage::finish()

### const MarginSettings &DisplaySettingsPage::marginSettings() const

### `[signal]` void DisplaySettingsPage::marginSettingsChanged(const TextEditor::MarginSettings &)

### `[virtual]` QWidget *DisplaySettingsPage::widget()